2010-06-27  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.12 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Fixed wrong behaviour of amoder functionality (it only worked if you
	entered the room _before_ a person you want to automoder).
	Now it's no problem to enter after him/her as well.

2010-06-27  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.11 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Fixed a bug that provoked an error while executing /watch command without
	parameters.

2010-06-18  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.10 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	Added new action 'say' for /watch command. It could be useful if you
	want to send a message to someone whose JID you don't know but you know
	a nick he or she enters a certain room with.
	Some small behaviour improvements were also made to /watch command.

2010-06-17  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.9 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	Removed a possibility to add several jids or nicks into a watch query,
	added a possibility to use regexp for jids instead (in fact, you're
	obliged to use a regexp instead of several jids. You can still add
	several hashes.
	Exceptional jids are also should be given as a regexp now.

2010-06-17  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.8 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, TODO, README, README.ru, msgs/ru.msg.

--- Changes:
	Added an option options(watch_groups) that allows you to specify
	a list of rooms where to watch (and take actions).

2010-06-17  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.7 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, TODO, README.ru, msgs/ru.msg.

--- Changes:
	Added possibility to log actions of /watch command (to log and to
	monitor).

--- Known problem:
	All rooms are monitored. TODO: Add a setting to specify necessary rooms.

2010-06-17  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.6 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, msgs/ru.msg.

--- Changes:
	Finished fixing /captcha bug from the previous commit.
	Now it checks if the server supports "captcha" or "members only"
	and lets you know if it doesn't.

2010-06-16  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.5 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, msgs/ru.msg, README.

--- Changes:
	Autodevoice/autokick/autoban functionality added to /watch command.
	Please read README (English version) for how to use it.
	Fixed a bug in /captcha command that took place if captcha
	was not implemented on your server.

2010-06-15  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.4 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, BUGS.

--- Changes:
	A bug in /watch fixed that gave error if something like /watchlist
	or /watchsljlfjslfj is written (i.e. bad checking for space after
	command).
	A bug in /visited fixed that resulted in printing out no rooms
	when searching in log (bug was introduced in version 0.9.11.1).

2010-06-14  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.3 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	Two new commands are added: /captcha and /monly. They allow
	to set and unset captcha and members-only settings quickly
	in your room configuration and to check a current state of them.
	At the moment only checking is implemented. Please read README,
	README.ru or use /bldhelp to learn more about these commands.

2010-06-13  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.2 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Files added:
    BUGS.

--- Changes:
	Added a possibility to give moderator role to specified JID(s)
	automatically. Go to Tkabber -> Customize -> Plugins -> Bldjid
	and fill out options(amoder) and/or options(amoder_groups).
	Please read README or README.ru for more details.

2010-06-12  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11.1 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	A bug fixed that placed versions to wrong participants when entering a new
	room:
	- added a new variable to store an independent id of each entrance;
	- it's stored in $jids_by_chats variable;
	- now we have a really unique id for each entrance (instead of timestamps)
	  so any confusion is impossible;
	- PROFIT.

2010-04-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.11 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	A new ban command implemented:
	/massban JID1 JID2 JID3 etc
	Some reason.

2010-04-05  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.10.5 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Added buttons for some actions to /watch command notification window.
	At the moment they are placed horizontally and occupy a lot of space
	so it will be reworked (and the rest of buttons will be enabled).
	Work in progress for "AND" behaviour of /watch command:
	a new proc prepare_watch is added (to be finished up and debugged).

2010-04-03  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.10.4 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, msgs/ru.msg.

--- Changes:
	A small change in hash searching routine: -nocase is removed.
	Fixed some bugs in "watch" code. Some new bugs introduced, probably.

---	TODO:
	Most likely I'll drop "OR" mode. It's a bad idea to have a bunch
	of nicks or jids to watch them separately. Each watch should consist
	of only one item, and that item could have several elements:
	one nick, one jid, one hash or one ver. That's all.

2010-04-02  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.10.3 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	Added a possibility to specify different elements to watch.
	The following keywords are used for this: nick, jid, hash, ver.
	For example, /watch hash 8q9vzJIp9rr2u3+Y76hMLHyp00E=
	Please read README or README.ru for more details,
	as it has some limitations and nuances.

--- Known problems:
	If you specify nicks or jids with special characters, like *SomeUser*,
	false alarms are produced.

--- TODO:
	Add a possibility to set alarms in "AND" mode, so that they shoot
	only if a visitor satisfies all of them.

2010-04-01  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.10.2 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	Added displaying ban reason, if any.
	Added an extension for /inbanlist and /inmemberlist commands
	that allows to invert search results. The syntax is
	(note ! separated with a space from a query):
	/inbanlist ! @
	This command will show all banned servers.

2010-04-01  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.10.1 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg, TODO.

--- Changes:
	Added a possibility to search for hashes. Use a keyword "hash"
	with /visited command to do so.
	Added gathering of nodes along with hashes in order to log them
	if version information is missing by some reason (client refused
	to tell it, or timeout is passed). Testing is required as
	it's difficult to catch such situation. Please provide feedback
	whenever possible.

2010-03-31  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.10 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Added version hash logging.

--- TODO:
	Add possibility to search by it.

2010-03-31  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.9.3 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Started work on caps hash collection. Added saving this information
	to a separate file $::configdir/bldjidver.txt for testing reasons.
	Changed timestamp format from that you set by the option
	::plugins::options(timestamp_format) to %Y-%m-%d_%H:%M:%S

2010-03-28  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.9.2 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Fixed small inconvenience when searching for jids
	in banlist and memberlist (it was case-sensitive).

2010-03-26  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.9.1 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg, TODO.

--- Changes:
	Timeout for version requests augmented to 120 seconds (90-sec timeout
	fails quite often when requesting mobile client versions).
	Fixed a bug that provoked strange false alarms when watching jid
	entrances in rooms where we don't have admin privileges.

2010-03-24  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.9 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	A new set of commands added that allows you to watch certain jids
	entrances and nick changes, and also to manage your watchlist. These are:
	/watch someuser@someserver.com
	/unwatch someuser@someserver.com
	/unwatch all
	/listwatch
	Please see README or use /bldhelp for more details.

2010-03-24  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.8 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	Added an option options(rooms2log) that allows to specify
	only necessary rooms that are to be logged.

2010-03-24  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.7.2 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Fixed searching for versions that contain brackets.

2010-03-19  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.7.1 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Fixed appearance of print-out lines if log_role_aff and log_ver_os
	options are disabled (removed unnecessary separators).
	Fixed typo in smart_enter_exit_message procedure.

2010-03-18  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.7 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	Improved version requests processing. See description of
	options(ver_timeout) in README file.
	Fixed behaviour of options log_role_aff and log_ver_os.
	Now their disabling disables logging such info to a file (as it should be).

2010-03-04  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.6 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, TODO, msgs/ru.msg.

--- Changes:
	Added a possibility to specify several queries in one line, like this:
	/visited nick bigote aff none
	/visited log role admin ver Tkabber

	Small bug fixed that prevented exact search in all rooms.

--- Known problems:
	role or aff keywords don't distinguish in which part of
	"role/affiliation" item to search, so it tries to match the whole item.
	I.e., you can put "role none" or "aff visitor", and yet it will give results.

2010-02-23  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.5 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog.

--- Changes:
	Added a "valve" to /amnesty command processing that prevents creating
	oversized stanza (that can provoke Stream error and disconnection
	from server).
	Fixed a bug that gave an error when processing jids with their login part
	enclosed by curly braces: {login}@jabber.ru

2010-02-23  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.4 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	Added a possibility to do a "partial amnesty", or cleaning up: unban only
	those people whose ban reason matches a certain pattern, like this:
	/amnesty your nick is too long

2010-02-21  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.3 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	Added a possibility for exact search by commands /inbanlist
	and /inmemberlist (just set options(matching_rules) to Exact).
	A small bug fixed in processing /visited command
	when Exact matching rules are set.

2010-02-21  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.2 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	New commands for searching in black list and member list implemented:
	/inbanlist pattern
	/inmemberlist pattern

2010-02-20  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9.1 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	Command /banjid removed from plugin as it is going to be a Tkabber part now.
	A bug fixed that provoked an error when banning with /bldjid command.

2010-02-14  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.9 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	Added a subcommand "log" for /visited command. It allows you
	to search the same stuff, but in the log file if you have one
	and the option ::plugins::bldjid::options(log_file) points to it.
	See README or README.ru for details.

2010-02-11  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.8.3 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Fixed an error provoked by Tkabber code refactoring.

2010-02-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.8.2 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog.

--- Changes:
	Added a possibility to treat anything that goes after "ver" keyword
	of /visited command as a single search parameter, so it can contain
	spaces.

2010-02-05  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.8.1 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	A bugfix: Variable var_os is set to default value of "".
	It must exist always because there could be cases when
	no iq error is received but nevertheless we have no result.
	A bugfix: Fixed processing of some client versions that contain
	newline characters, to avoid breaking lines in log file.

2010-02-05  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.8 of the plugin.

--- Files modified:
    bldjid.tcl, TODO, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	Command /visited is enhanced. It is possible to search for
	jids, role, affiliation, version now. Keywords jid, role, aff, ver
	are reserved for such searches. Please read README or README.ru
	for more details.

2010-02-04  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.7 of the plugin.

--- Files modified:
    bldjid.tcl, TODO, ChangeLog

--- Changes:
	Logging visitors' client version and OS works now.

2010-02-03  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.6.5 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, README, README.ru, msgs/ru.msg.

--- Changes:
	Added a possibility to log visitors' role/affiliation.
	Added a possibility to log visitors' client version and OS (doesn't work
	properly yet so it's disabled at the moment).
	A workaround added that fixes unnecessary printing room's name
	when executing /visitors without parameters in Russian locale.
	Some small bugs fixed.

2010-02-01  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.6.4.1 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, TODO, README, README.ru, msgs/ru.msg.

--- Changes:
	Added a possibility to log full (with resource) or bare (without it) JIDs.
	(Resources are not stripped by default, as it's more informative.)

2010-02-01  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.6.4 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog, msgs/ru.msg.

--- Changes:
	Plugin adapted to changes in muc.tcl made in revision 1898.
	Also, a reference to a Russian file README.ru fixed in ru.msg.

2009-12-12  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.6.3 of the plugin.

--- Files modified:
    bldjid.tcl, INSTALL, ChangeLog, msgs/ru.msg.

--- Changes:
	The plugin is now loadable/unloadable. In order to use it
	you have to enable it in Customize -> Plugins Management.

2009-12-11  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.6.2 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	A small modification in "logging to file" feature:
	A counter is added that allows you to keep very simple statistics
	letting know how many visits (or unique visits, depending on your
	bldjid settings) you have in your rooms (and also to know where
	a new session begins in the log).

2009-12-08  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.6.1 of the plugin.

--- Files modified:
    bldjid.tcl, README, README.ru, ChangeLog, msgs/ru.msg.

--- Changes:
	Added option ::plugins::bldjid::options(log_file)
	that allows to save logs to a file.

2009-05-09  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.6 of the plugin.

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	It is decided to announce the current version of the plugin as stable
	so that to tag it in the repository.

2009-05-09  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.19 of the plugin.
--- Files added:
	README.ru

--- Files modified:
    README, ChangeLog.

--- Changes:
	README is translated into Russian. Also, some small changes
	are made to original README file.

2009-04-30  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.19 of the plugin.
--- Files added:
	msgs/ru.msg

--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Russian translation added for all plugin messages
	so some messages required adapting to translatable format.
	An error fixed that was provoked by recent changes in muc.tcl.

--- TODO:
	Heavy testing is required before releasing a "stable" version,
	especially new translation should be well tested.
	Please send your feedback directly to me :)

2009-04-26  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.18 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Some changes were made in order to prepare the plugin's code for splitting
	to several modules:
	Some code refactoring.
	Some behaviour improvements.
	The option 'options(enabled)' renamed to 'options(enable_jids_gathering)'.
	Some changes also applied to README file.

2009-04-25  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.17 of the plugin.
--- Files modified:
    bldjid.tcl, README, ChangeLog.

--- Changes:
	A bug fixed in autocompletion procedure that gave an error when trying
	to autocomplete JIDs when no user list is created (no one
	of /visit* commands used).

2009-04-16  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.16 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Timeout for monitor window is removed.
	Commands /showmon and /closemon are removed, too,
	as <Control-m> is used to toggle between monitor window states.
	Some code refactoring (unnecessary procedures deleted).

2009-04-15  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.15 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Added a command /showmon to show a previously closed monitor window.
	A hotkey <Control-m> is added to toggle between opened/closed states
	of the monitor.
	Code refactoring (/bldhelp command is a separate procedure now).

--- TODO:
	Most likely, monitor timeout will be removed, since the hotkey allows
	managing of the monitor's state in a rapid and comfortable way.
	It's also probable that commands /showmon and /closemon will be
	deprecated by the same reason.
	The code that handles monitor state check needs to be refactored.
	See TODO file for more plans.

2009-04-13  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.14 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Files added:
	THANKS.

--- Changes:
	Fixed a bug that gave error when processing nicks like "{", "}" and "{%}".
	Thanks to Alexey Smirnov.

--- Known problem:
	If you close a room window while the monitor window is still not closed
	by timeout, the next time you open this room and invoke the monitor again,
	its timeout will be shorter. It can be fixed by setting a new timeout
	in Customize.

2009-04-11  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.13 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Fixed a bug that prevented autoclosing of a monitor window for the second time.

2009-04-10  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.12 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Removed command autocompletion in conference private chat (to show
	that it doesn't work here).
	Thanks to Alexey Smirnov.

--- Known problem:
	It seems that only the first call of a monitor window ends fine
	after timeout. Called the second time in the same room,
	it won't close by itself.

2009-04-09  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.11 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Added an option that allows you to redirect /visit* commands output
	to a special monitor window placed below the current chat input window.
	You can customize its timeout (30 seconds by default) or even to make
	the window permanent by setting 0). The window can be closed at any moment
	manually by typing /closemon command. You can scroll this window using
	Alt-Shift-PgUp and Alt-Shift-PgDown hotkeys. This window is a bit annoying
	so redirect to it is disabled by default. See README for more information
	about it.

	A bug fixed that gave an error when trying to use /visitors command
	while ::plugins::bldjid::options(enabled) was disabled.
	Added checking of this option to be enabled for /visit* commands.

2009-04-07  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.10 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Code refactoring (regexp used in proc bldjid::visitors_compls,
	Thanks to Alexey Smirnov <mailto:alexey.smirnov@gmx.com>).

2009-04-07  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.9 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Added JIDs autocompletion for /bldjid, /banjid, /unbldjid, /unban commands
	when using them after generating a user list by any of /visit* commands.
	Thanks to Alexey Smirnov <mailto:alexey.smirnov@gmx.com>

	Some typos and little mistakes corrected.

2009-04-07  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.8 of the plugin.
--- Files modified:
    bldjid.tcl, README, ChangeLog.

--- Changes:
	Some fixes in log length limit processing.
	Thanks to Konstantin Khomoutov <xmpp:kostix@007spb.ru>

2009-04-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.7 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Added log length limit option (unlimited by default).

2009-04-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.6 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Added nick change tracing. If somebody changes their nick
	it will be logged as if it were a new entrance (according
	with your Verbosity level settings).

2009-04-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.5 of the plugin.
--- Files modified:
    bldjid.tcl, README, ChangeLog.

--- Changes:
	Changed JID adding rules for Minimum verbosity level.
	Users with the same JID but different nicks will be logged
	in different entries.
	It is done so that to avoid situations when somebody enters a room
	pretending to be another user, so you could ban a wrong person.

	Added timestamp logging for Minimum verbosity level. It will not affect
	JID adding rules but will be useful to distinguish users with different
	JIDs and equal nicks that entered at different time.

2009-04-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.4 of the plugin.
--- Files modified:
    bldjid.tcl, TODO, README, ChangeLog.

--- Changes:
	Option added to set a custom field separator for /visit* commands.

2009-04-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.3 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Code optimization, some minor fixes, some minor improvements.

2009-04-06  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.2 of the plugin.
--- Files modified:
    bldjid.tcl, TODO, README, ChangeLog.

--- Changes:
	Loose matching rules (which is default setting) added to plugin's
	/visit* commands. Now you can provide only a part of a room's name
	or a nick to search in the lists.

2009-04-05  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5.1 of the plugin.
--- Files modified:
    bldjid.tcl, TODO, README, ChangeLog.

--- Changes:
	The plugin is able now to gather logs even when
	::muc::options(gen_enter_exit_msgs) option is enabled.
	It's useful if you clean chat windows from time to time.

2009-04-05  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.5 of the plugin.
--- Files modified:
    bldjid.tcl, TODO, README, ChangeLog.

--- Changes:
	Group filtering works now, but it's a workaround: the plugin
	still logs every room whether the filter option is set or not.
	When it's set, the resulsts are filtered out. If you turn off
	this option and repeat a /visit* command in a room without privileges,
	it will show you a log.

--- Known problem:
	A problem with room filtering described below (see version 0-4b6
	description) seems to be too difficult to resolve, at least for me
	and at least at the moment. It has nothing to do with hook priority
	neither with the level of verbosity, etc. It happens because
	always almost I'm the last to enter a populated room (more than
	3-4 persons), so the script has to wait too long before the room is
	fully populated. Usually the check begins when 3 users have already
	entered.

--- TODO:
	Try to set a delay before checking admin privileges,
	long enough	to let everybody (and myself!) enter the room.
	Suggestions are welcome :)

2009-03-31  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4b6 of the plugin.
--- Files modified:
    bldjid.tcl, TODO, ChangeLog.

--- Changes:
	Some new aims added to TODO.

	An attempt was made to make group filtering work (options(filter_admin_rooms)).

--- Known problem:
	It works but an error appears when entering a non-empty room.
	After the warning is closed, the room gets filled up and everything works
	nice. I suppose the problem is that hook client_presence_hook handler --
	proc smart_enter_exit_message -- has a heigher priority (69)
	than chat::change_presence (70) that was made to avoid logging every
	single presence change (we are interested only in entrance logging).
	Since smart_enter_exit_message is run before chat::change_presence
	it cannot receive information about our role/affiliation in such room
	until some time passes (which is a bit weird because when we enter
	an empty room there's no error at all).
	Anyway, I think that adding 'after idle' command would help,
	but I haven't managed to do it right yet. So, any suggestion
	will be appreciated :)

	In spite of this inconvenience, this functionality seems to work well.
	Testers are welcome.

2009-03-31  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4b5 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	If you tried to work with /visit* or /bldjid commands while there is
	a conference opened where you cannot enter because of nick coincidence
	or too slow connection, you received an error. So, now it's fixed :)

	One debugging 'puts' command removed.

2009-03-30  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4b4 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
    Fixed another bug that provoked error when trying to display 
    an empty list by commands /visit*

2009-03-30  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4b3 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
    Bugfix in /visited command.

2009-03-30  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4b2 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	Bug fixed that prevented to display group roster when
	::muc::options(gen_enter_exit_msgs) is enabled.
	Thanks to Rakhmanin Ruslan <mailto:rakhmaninr@gmail.com>

2009-03-30  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4b1 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Changes:
	Option options(verbosity_level) now also has Maximum level. 
	See README for details.
	Added tabulated separation between item number and item body
	in user list given by /visit*

2009-03-30	Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4a6 of the plugin.
--- Files modified:
    bldjid.tcl, README, ChangeLog.

--- Changes:
	Variable $jids renamed to $user_list for it's more adequate.
	Commands /visit* now generate their user lists in the same fashion as /bldhelp.
	Added separators between items in user list for more readability.
	Command /visited without parameters won't give results any longer.
	One really doesn't need to see all entrances in all rooms.

2009-03-29  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4a5 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	The messages generated by /bldhelp command converted 
	into a single message to avoid many timestamps.

2009-03-29  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4a4 of the plugin.
--- Files modified:
    bldjid.tcl, README, TODO, ChangeLog.

--- Files removed:
	muc_save_entrance_message.diff

--- Changes:
	/pickup command is removed.	Now commands /bldjid and /banjid 
	handle visitor lists in their usual way. See README file for details.
	Patch for muc.tcl is removed for it's not required anymore.

2009-03-28  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4a3 of the plugin.
---	Files modified:
	bldjid.tcl, ChangeLog.

---	Changes:
	Inserting by command /pickup n works now.
	Thanks to Konstantin Khomoutov <xmpp:kostix@007spb.ru>

--- TODO:
	I've decided to eliminate /pickup command, however.
	Its functions will be given	to /banjid and /bldjid commands.

2009-03-28  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4a2 of the plugin.
--- Files modified:
    bldjid.tcl, ChangeLog.

--- Changes:
	The procedure that was added to avoid muc.tcl patching works already.
	Some Customize options added. There will be more ;)

--- TODO:
	Heavy testing and feedback needed.
	Uncomment Customize options and make them work correctly.
	Optimize the code.

	In the future, antiflood is planned to be implemented.

2009-03-23  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

---	Version 0.4a1 of the plugin.
---	Files modified:
	bldjid.tcl, README, ChangeLog.

--- Changes:
	New command added: /bldhelp
	Shows short usage examples of plugin commands.

	New procedure added that allows to gather nicks and JIDs
	without having to patch muc.tcl 
	It's not working yet, will be adapted to plugin's necessities.
	Thanks to sceptic <mailto:alexey.smirnov@gmx.com>

2009-03-17  Serge Yudin  <xmpp:bigote@jabber.ru> <mailto:bigote@gmail.com>

--- Version 0.4a of the plugin.
---	Files:
	bldjid.tcl		plugin file.
	INSTALL			installation instruction file.
	license.terms	license file.
	README			usage file.
	TODO			my plans of plugin developing.
	muc_save_entrance_message.diff	a patch that must be applied to muc.tcl
									in order Alpha commands (see below) could work.
	ChangeLog		this file.

---	Commands:
	/banjid	JID	
	reason			ban 'JID' in the current conference if you have admin rights there.
	/bldjid JID
	reason			ban 'JID' in every conference where you have admin rights.
	/unbldjid JID	unban 'JID' in all your conferences.
	/amnesty		unban all outcasts in the current conference.

	Alpha commands (also, muc.tcl should be patched), can be used when
	::muc::options(gen_enter_exit_msgs) is disabled.
	/visitors		show all visitors of the current room.
	/visitors room	show all visitors of rooms that match *room*.
	/visited		show all visits to all rooms.
	/visited nick	show visits made by someone whose nick or JID matches *nick*
	/visited nick
	room			shows visits made by *nick*, to the rooms that match *room*

	See README file for more info.
